import 'package:flutter/material.dart';

import 'package:scrobbles/ui/widgets/cards/statistics_global.dart';
import 'package:scrobbles/ui/widgets/cards/statistics_recent.dart';
import 'package:scrobbles/ui/widgets/cards/timeline.dart';
import 'package:scrobbles/ui/widgets/cards/top_artists.dart';

class ScreenHome extends StatelessWidget {
  final Function() notifyParent;

  const ScreenHome({super.key, required this.notifyParent});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: RefreshIndicator(
        onRefresh: () async {
          this.notifyParent();
        },
        child: ListView(
          padding: const EdgeInsets.symmetric(horizontal: 4),
          physics: const BouncingScrollPhysics(),
          children: <Widget>[
            const SizedBox(height: 8),
            const CardStatisticsGlobal(),
            const SizedBox(height: 6),
            const CardStatisticsRecent(),
            const SizedBox(height: 6),
            const CardTimeline(),
            const SizedBox(height: 6),
            const CardTopArtists(),
            const SizedBox(height: 36),
          ],
        ),
      ),
    );
  }
}
